What is Allway Sync?

When you work with documents on several computers you probably have to copy them from one device to another. If you have enough memory to track all the file changes in your mind there is still a better way to apply your skill. Let Allway Sync take care of recent changes in your files. It will look for the latest version of a document and copy it to other devices or computers, e. g. synchronize them. Allway Sync is stable, fast and works virtually without your assistance. You just need to point to folders you want to be the same and the program does everything else.

What does "synchronize" mean?

"Synchronize file" means to apply most recent change of the file to several different folders (or different computers). In other works, you can work with one of file copies (at office and at home for example) and have the recent changes applied for all other copies.

How does Allway Sync work?

Allway Sync program purpose is to synchronize two local or remote folders selected by user. First user have to select pair of folders to be synchronized in corresponding fields of folder selection panel (look Program interface). Then during analyze phase program determines what document is the latest version for each pair corresponding documents and what document must be replaced by it's new version. In order to do that in most reliable way Allway Sync employs sophisticated algorithm that uses addition synchronization data and does not expect that the computer clock works properly. In the case of equal documents program decide them to be unchanged. When analyze phase is completed user has an opportunity to examine the actions suggested by the program and maybe correct them (for instance, in case the old document version is preferable). All messages are split into few groups depending on its meaning. The groups are displayed in messages panel (look Program interface). After that the synchronization phase is performed. At that time program replaces modified documents by their correct versions according to the algorithm and user decision in analyze phase. After synchronization phase, program save service synchronization information (\_sync.app folder) into folders those have been synchronized. That information is needed for effective functioning of the algorithm in future synchronizations.


Program interface

Program interface is shown as profile window consisted of the folowing elements:

  • Program menu
  • Association labels
  • Folder selection panel
  • Messages panel
  • Control buttons
Program menu
Association labels
Folder selection panel
Messages panel
Control buttons


Program menu

Program menu includes following items:

  • Action - allows user to start analyzing or synchronizing processes or interrupt it
  • View - controls displaying information on the screen
  • Association - allow user to manage associations
  • Help - calls help or about information


Associations

Association - is a pair of folders those synchronized to with each other. You can synchronize more that one association at the same time. Click association labels to select another association.

Use window "Association" to add, remove or rename association.


Folder selection panel

Folder selection panel consists of two forms allowing the user to set paths in left and right synchronized folders.

In order to set path to left or right synchronization folder it is necessary to:

  • type the synchronized folder path into corresponding entry field and press "Enter",
  • or type path into entry field and press "Ok" button,
  • or press "Browse" button and choose the folder using proposed wizard.


Messages panel

The program generates some messages at analyze and synchronize phases. Depending on it's meaning or importance they are placed into one or more groups displayed in messages panel.

The messages groups are:

  • All Items - messages about all synchronized items
  • Unchanged Items - messages about unchanged items
  • Changed Items - messages about changed items
  • New Items - messages about items those have to be created
  • Deleted Items - messages about items those have to be deleted
  • Info Messages - messages with routine information
  • Important Messages - messages those require user assistance


Control buttons

"Analyze" button
starts analyze phase, on which folder content is analyzed and some decision offered as a set of synchronization messages.
"Synchronize" button
starts synchronize phase, on which program replaces some documents by it's most recent versions. Analyze phase is occurred before synchronizing, if it has not done yet.
"Stop" button
stops analyze or synchronize process.


How to use?

How to use Allway Sync?

  1. Select the folders you want to be synchronized on the left and right folder selection panel .
  2. Press "Analyze" button (look Program interface).
  3. Read the messages, that appear in messages panel All messages are joined into a few groups, each of them can be expanded or collapsed. Answer importaint messages and confirm or correct actions suggested by the program (look Overriding algorithm decision). Optionally correct suggested actions in other message groups.
  4. Press "Synchronize" button and wait till synchronization process is finished.


Overriding algorithm decision

Synchronization message consists of two fields displaying items to be synchronized and arrow between them, which indicates supposed action with synchronization items.

The arrow has a popup menu marker. When popup menu marker is pressed, the buttons of alternative actions appears below action arrow. Use them to change the proposed action and order to program what version of the document is recent. If it is impossible to determine the right action, user decision is required. In that case the message is placed into "Important messages" group.

In order to hide alternative action buttons press popup menu marker again.

The alternative action button have following meaning:

Copy the item from the left folder to the right one
Copy the item from the right folder to the left one
Keep the items unchanged

When action proposed for the item is done in synchronize phase the corresponding message becomes inactive. After that user cannot change action executed for item.


How to synchronize your files using removable drive

If you have some document on your computer in office and one at home, you can synchronize that document using usb disk drive. It doesn't merge your files, but synchronizes directories, e. g. propagates most recent change in you files.

Start the application on first computer and specify your working folder ("My Documents" or so) and the USB drive. Do synchronize. Go to other computer and do the same. Now you can work with latest versions of files. When you will come to the first computer, repeate the procedure and you will have the latest versions again. After that you modify, add or delete your files on any device, do synchronize and the modification is propagated to other device(s). Same thing as you would copy files, but you don't have to remember on which device you have the latest version, we do that for you.


Syncronization data

The program store some service information (as special folder \_sync.app) in folders, those have been synchronized. This information is necessary for correct program functioning. Never change this information or copy it to other folders, otherwise you can disturb program right functioning and, as result, lose last changes of your documents.


Frequently Asked Questions

Question: How to install?

Answer: Download the distribution from the download page. Ignore Internet Explorer security warning. This software does not contain any viruses, spyware, or addware. See End user license agreement for details. When the download window appears, be sure to click the "Open" or "Open this program from its current location" choice. If you select save, please note where you are saving the program. Follow the installation instruction. By default the application will be installed to "Program Files" folder on you system drive.

Q: How to uninstall?

A: Close all running instances of Allway Sync. If you use multiuser configuration you have to exit running instances in inactive user accounts also. Select Programs/Allway Sync/Uninstall in Start menu. Follow the uninstaller instruction.

Q: Do I need to uninstall old version before installing new one?

A: No, unless you want to install into a different folder. Usually new version will keep options and settings of the previous one.

Q: How to use?

A: Current version of Allway Sync has a help. Just press F1 in application.

Q: Can you explain me how it works with usb drives? I mean, if I have some document on my computer in office and one at home, how can I synchronize that document using usb disk drive?

A: It doesn't merge your files, but synchronizes directories, e. g. propagates most recent change in you files. Start the application on first computer and specify your working folder ("My Documents" or so) and the USB drive. Do synchronize. Go to other computer and do the same. Now all 3 folders have the same set of files. After that you modify, add or delete your files on any device, do synchronize and the modification is propagated to other device(s). Same thing as you would copy files, but you don't have to remember on which device you have the latest version, we do that for you.

Q: How does you application handle deleted files? Does it recognize that I deleted a file from one of the two directories and therefore want it deleted from the other OR does it assume (like most every other file sync app) that the deleted file needs to be restored from the directory where it was deleted.

A: On first run (when there is no synchronization metadata) the application cannot determine if you deleted file of it have never existed, so it copies file form another drive. But it you delete file after that in one folder Allway Sync removes it from another one also.

Q: I sync between one home computer and any one of several computers at school. The folder I sync to at school is always Drive M (a network drive), and the USB drive is always Drive E at school. But the computer varies. When I switch computers it gets a little confused. Sometimes it's not sure which version of a changed file is the right one. It has always guessed correctly so far, but it doesn't seem like there should be any confusion.

A: Thanks for the reply. This behavior is by design. The reason is because we value your data and we use algorithm that guarantee you don't lose your files even if system clock on your computer is not accurate (leading incorrect file modification times). But to do that we need to collect information from all you computers, so you need to run Allway Sync ones on every computer and after that it can be sure where the last version of a file is. But on first run in given folder Allway Sync can only compare file modification times those could be inaccurate. Therefore is asks user to confirm algorithm's decision.

Q: What happens if network connection is dropped during synchronization?

A: You won't lose any files. When Allway Sync replaces a file first it copies it to a temporary file on the destication folder. Only when copying is completed it replaces the target file with the temporary one. So in case of connection failure only the temporary file will be damaged. Just syncronize again when connection is restored.

Q: Why my spyware guard application says Allway Sync may contain spyware?

A: This is because Allway Sync checks for software updates time-to-time. No personal information is send over the Internet. See End user license agreement for details.

Q: Why sometimes it's not sure which version of a changed file is the right one?

A: This behavior is by design. The reason is because we value your data and we use algorithm that guarantee you don't lose your files even if system clock on your computer is not accurate (leading incorrect file modification times). To do that we need to collect information from all you computers, so you need to run Allway Sync ones on every computer and after that it can be sure where the last version of a file is. But on first run in given folder Allway Sync can only compare file modification times those could be inaccurate. Therefore is asks user to confirm algorithm's decision.

Q: What is "_sync.app" folder that appeared in my files?

A: This folder contains synchronization database that is need for proper algorithm functioning without user assistance.

Q: What should I do if I haven't find an answer for my question?

A: You can ask it on our site.


System requirements

  • Windows 98/2000/ME/XP/2003
  • 100 MHz processor or higher
  • 16 MB RAM or more
  • 2 MB disk space or more
  • screen resolution 800x600 with 256 colors or higher
  • Internet Explorer 5.0 or higher (distributed with Windows XP/2000/2003)